Description

For example, retrieving the object stored with the script 

https://repository.dataone.org/software/allsoftware/demos/r-demo-EAB-2012/d1_client_r_demo03-1.R, the retrieved object has the

$date column classified as text, not date.  For this column, an as.Date() coercion addresses the problem.  However, the $id column

isn't right.  Run https://repository.dataone.org/software/allsoftware/demos/r-demo-EAB-2012/d1_client_r_demo3-retrieve.R and

compare the summary of SeedPred and d1_SeedPred.  This may be something best addressed as documentation, but I'm recording

the issue to track it to whatever resolution makes sense and to consider writing a test to use as part of the package.  

History

#1 - 2013-02-22 18:53 - Matthew Jones

- Category deleted (d1_client_r)

- Project changed from Infrastructure to DataONE R Client

#2 - 2013-02-22 18:56 - Matthew Jones

- Start date set to 2013-02-22

- Due date set to 2013-02-22

- Target version set to DataONE R Client 1.0.0

#3 - 2013-02-22 19:23 - Matthew Jones

- Tracker changed from Bug to Feature

- Due date deleted (2013-02-22)

- Target version deleted (DataONE R Client 1.0.0)

- Start date deleted (2013-02-22)

For this to work, we need much more complete support for metadata creation and parsing.  The asDataFrame methods would then use the metadata

available with objects to properly coerce variables to the right types in R before handing over control to the user.  I am changing this to a feature

request, as this functionality has not yet been implemented, but would be desirable.

#4 - 2013-03-01 22:22 - Rob Nahf

- Due date set to 2013-03-01

- Target version set to DataONE R Client 1.1.0

- Start date set to 2013-03-01

#5 - 2013-10-14 12:48 - Bruce Wilson

- Due date changed from 2013-03-01 to 2013-10-14

- Assignee deleted (Bruce Wilson)

#6 - 2014-09-10 20:20 - Matthew Jones
- Due date changed from 2013-10-14 to 2014-09-10

Moved task to github: https://github.com/DataONEorg/rdataone/issues/29

#7 - 2014-09-10 20:20 - Matthew Jones

- Status changed from In Progress to Closed
